#ifndef __gpio_H
#define __gpio_H 

void ProccessLED(void);

void SetDefaultLedState(void);

void SetQuiteLedState(void);

void SetOfflineLedState(void);

void LED_test(void);
	
void UpdateLedState(void);

void UpdateBuzzerState(void);

void UpdateRelayState(void);

void UpdateDIPState(void);

void UpdateInputStateEDK(void);

void UpdateInputStateRS(void);

tUInt GetActiveIoCount(void);

tUInt GetActiveAnCount(void);

tUInt GetFirstLastSign( tUInt total, tUInt actual);

void saveLastLedState(void);
void RestoreIdleLedState(void);   
   
#endif